declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    node: import("vue-types").VueTypeValidableDef<Record<string, any>, import("vue-types/dist/shared/vue-types.d8e57a80").b<Record<string, any>>> & {
        default: () => Record<string, any>;
    };
    searchKey: import("vue-types").VueTypeDef<string | string[]>;
    displayKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    searchKeyword: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    tpl: {
        type: FunctionConstructor;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    node: import("vue-types").VueTypeValidableDef<Record<string, any>, import("vue-types/dist/shared/vue-types.d8e57a80").b<Record<string, any>>> & {
        default: () => Record<string, any>;
    };
    searchKey: import("vue-types").VueTypeDef<string | string[]>;
    displayKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    searchKeyword: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    tpl: {
        type: FunctionConstructor;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
    displayKey: string;
    node: Record<string, any>;
    searchKeyword: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
